<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

// Защита от мошенников
if (isset($_SESSION['sid']) && isset($_GET['sid']) && $_SESSION['sid'] == $_GET['sid']) {
	$_true = true;
}

// Айди владельца гарема
if (isset($_GET['id']))$ID = abs(intval($_GET['id']));

// Определяем юзера
$ank = get_user($ID);

$nick = user::nick($ank['id'], 1);

// Если нет юзера выкидываем
if (!$ank || $ank['id'] == 0){
	header("Location: /index.php");
	exit;
}

// $stat cтатистика гарема
$stat = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $ank['id'] . "'"));


// Стража
if ($stat['guard'] != null){
	$guard = unserialize($stat['guard']);
}

// Стража гарема 
require 'inc/guard.php';

// Включаем стражу
if (isset($guard) && $guard['time'] > time() - 60 * 60 * 24 * 3 && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] && $guard['health'] > 0) {
	$_guard = true;
	
}
	

// Cтатистика просматриваемого
$sUser = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $user['id'] . "'"));
$cost = $sUser['cost'] * 0.25 + $sUser['cost'];

// Выкупить себя
if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '" . $ank['id'] . "' AND `user_id` = '" . $user['id'] . "'"),0) == 1 && isset($_GET['act']) && $_GET['act'] == 'exit')
{
	if ($user['balls'] < $cost)$err = 'У вас не достаточно средств';
	
	if (!isset($_true)){
		$err[] = 'Неверный ключ сессии';
	}
	
	if (isset($_guard)){
		$err[] = 'Гарем под защитой, атакуйте стражу';
	}
	
	if (!$err)
	{
		$cost = $user['balls'] - $cost;
		mysql_query("UPDATE `user` SET `balls` = '" . $cost ."' WHERE `id` = '".$user['id']."'");
		mysql_query("UPDATE `garem_stat` SET `cost` = '" . intval($sUser['cost'] + 0.25 * $sUser['cost']) . "', 
		`stolen` = `stolen` + 1  WHERE `user_id` = '" . $user['id'] . "'");
		mysql_query("DELETE FROM `garem` WHERE `user_id` = '".$user['id']."'");
		
		$msg = "Пользователь [b]$user[nick][/b] выкупил".($user['pol'] == 0 ? 'а' : null)." себя из вашего [url=/plugins/garem/garem.php?id=$ank[id]]гарема[/url]";
		// отправка сообщения хозяину
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '".$msg."', '$time')");
		
		$_SESSION['message'] = 'Вы успешно выкупились из гарема';
		header("Location: ?id=" . $ID);
		exit;
	}

}
elseif (isset($user) && isset($_GET['act']) && $_GET['act'] == 'buy' && mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '" . $ank['id'] . "' AND `user_id` = '" . abs(intval($_GET['user'])) . "'"),0) == 1)
{
	$D = abs(intval($_GET['user']));
	$D = get_user($D);
	if (!$D['id'])$err[] = 'Пользователя не существует';
	
	
	if (!isset($_true)){
		$err[] = 'Неверный ключ сессии';
	}
	
	// Cтатистика выкупаемого
	$sAnk = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $D['id'] . "'"));
	$sCost = $sAnk['cost'] * 0.25 + $sAnk['cost'];
	
	if ($user['balls'] < $sAnk['cost'])$err[] = 'Не достаточно средств';
	
	if ($D['pol'] == $user['pol']) 
		$err[] = 'Вы можете похищать только пользователей противоположного пола';
	
	if (isset($_guard)){
		$err[] = 'Гарем под защитой, атакуйте стражу';
	}	
	
	if (!$err)
	{
		$cost = $user['balls'] - $sAnk['cost'];
		
			mysql_query("UPDATE `user` SET
									`balls`= '" . $cost ."'
									 WHERE `id` = '".$user['id']."'
									 ");
			mysql_query("DELETE FROM `garem` WHERE `user_id` = '".$D['id']."'");
			
			mysql_query("INSERT INTO `garem` (`user_id`,`thief_id`,`time`,`cost`) values ('" . $D['id'] . "','" . $user['id'] . "','" . time(). "', '" . $sCost . "')");
			
			mysql_query("UPDATE `garem_stat` SET
									`cost`= '" . $sCost . "',
									`stolen` = `stolen` + 1
									 WHERE `user_id` = '".$D['id']."'
									 ");
									 
			mysql_query("UPDATE `garem_stat` SET
									`stole`= `stole` + 1
									 WHERE `user_id` = '".$user['id']."'
									 ");
			$msg = "Пользователь [b]$user[nick][/b] украл".($user['pol'] == 0 ? 'а' : null)."   вас в свой   [url=/plugins/garem/garem.php?id=$user[id]]гарем[/url]";						 
			$msg2 = "Пользователь [b]$user[nick][/b] выкупил".($user['pol'] == 0 ? 'а' : null)." у вас [b]$D[nick][/b] в свой [url=/plugins/garem/garem.php?id=$user[id]]гарем[/url]";
			
			// отправка сообщения
			mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$D[id]', '".$msg."', '$time')");
			
			// отправка сообщения хозяину
			mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '".$msg2."', '$time')");
			
			
			$_SESSION['message'] = 'Вы выкупили пользователя к себе в гарем';
			header("Location: ?id=" . $ID);
			exit;
	}
	
}
elseif (isset($user) && $user['id'] == $ank['id'] && isset($_GET['act']) && $_GET['act'] == 'delete' && mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '" . $ank['id'] . "' AND `user_id` = '" . abs(intval($_GET['user'])) . "'"),0) == 1)
{
	$D = abs(intval($_GET['user']));
	$D = get_user($D);
	if (!$D['id'])$err[] = 'Пользователя не существует';
	
	
	if (!isset($_true)){
		$err[] = 'Неверный ключ сессии';
	}
	
	// Cтатистика выкупаемого
	$sAnk = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $D['id'] . "'"));

	if (!$err)
	{
	
		mysql_query("DELETE FROM `garem` WHERE `user_id` = '".$D['id']."'");
		
		$msg = "Пользователь [b]$user[nick][/b] выгнал".($user['pol'] == 0 ? 'а' : null)." вас из своего [url=/plugins/garem/garem.php?id=$user[id]]гарема[/url]";						
		// отправка сообщения
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$D[id]', '".$msg."', '$time')");
		
		$_SESSION['message'] = 'Вы выгнали пользователя из гарема';
		header("Location: ?id=" . $ID);
		exit;
	}
	
}

$_SESSION['sid'] = mt_rand(000, 999);
$set['title'] = 'Гарем ' . $ank['nick'];
include_once '../../sys/inc/thead.php';
title();
aut();
err();

?><link rel="stylesheet" href="style/garem.css" type="text/css" /><?

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> ' . $nick . ' | <b>Гарем ' . $ank['nick'] . '</b><br />';
echo '</div>';

if ((!isset($guard) || $guard['time'] < time() - 60 * 60 * 24 * 3) && isset($user) && $user['id'] == $ank['id']) {
?>
	<div class="mess">
	Ваш гарем не охраняется, и из него могут выкупать ваших <?= ($ank['pol'] == 1 ? 'наложниц' : 'наложников')?>.<br />
	Если поставить охрану, то ваши <?= ($ank['pol'] == 1 ? 'наложницы' : 'наложники')?> будут в большей безопасности.<br />
	<img src="style/img/guard.png" /> <a href="act.php?id=<?= $user['id']?>&amp;act=guard">Поставить стражу</a>
	</div>
<?		
} elseif (isset($guard)) {
	
?>
	<div class="mess" style="text-align: center;">
	Гарем под защитой <b><?= $person[$guard['id']]['name']?></b><br /> <img src="guard/<?= $guard['id']?>.png" style="max-height: 80px; max-width: 80px; 
	<?= (isset($guard) && $guard['health'] == 0 && $guard['time'] > time() - 60 * 60 * 24 * 3 ? 'opacity: 0.4;' : '')?>"/> <br />
	<?if (isset($_guard)) { ?>
	<?= (isset($user) && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] ? '<img src="style/img/guard.png" /> <a href="act.php?id=' . $ID . '&amp;act=fight">В бой</a>' : '')?>
	<? } elseif (isset($guard) && $guard['time'] > time() - 60 * 60 * 24 * 3 && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] && $guard['health'] == 0) { ?>
	<div class="mess"><?= $person[$guard['id']]['name']?> повержен, сейчас вы можете выкупать <?= ($user['pol'] == 1 ? 'наложниц' : 'наложников')?>, пока <?= $person[$guard['id']]['name']?> не восстановит силы.</div>
	<? } ?>
	<?= (isset($user) && $user['id'] == $ank['id'] ? '<img src="style/img/guard.png" /> <a href="act.php?id=' . $ID . '&amp;act=guard">Cменить стражу</a>' : '')?>
	</div>
<?	
}

if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '" . $ank['id'] . "' AND `user_id` = '" . $user['id'] . "'"),0) == 1)
{
	echo '<div class="mess">';
	echo 'Вы находитесь в гареме ' . $nick . ' cтоимость выкупа: <b style="color:red;">' . $cost . '</b> баллов, у вас <b style="color:blue;">' . $user['balls'] . '</b> баллов.<br />';
	
	if ($user['balls'] >= $cost)
	echo '<a href="?sid=' . $_SESSION['sid'] . '&amp;id=' . $ID . '&amp;act=exit">Выкупиться</a>';
	else 
	echo 'У вас не достаточно баллов для выкупа!';
	echo '</div>';
}



$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '" . $ID . "'"),0);


if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'В гареме у ' . $ank['nick'] . ' нет ' . ($ank['pol'] == 1 ? "наложниц" : "наложников");
	echo '</div>';
}

$set['p_str'] = 9;
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT `garem`.`user_id`, `user`.`nick`, `user`.`id` FROM `garem` 
 		LEFT JOIN `user` on `garem`.`user_id` = `user`.`id` 
		WHERE `garem`.`thief_id` = '" . $ID . "' LIMIT $start, $set[p_str]");

echo '<table class="table">';

while ($rab = mysql_fetch_array($q)) 
{

	// Лесенка дивов
	if ($num == 0)
	{
		echo '<div class="nav2">';
		$num = 1;
	}
	elseif ($num == 1)
	{
		echo '<div class="nav2">';
		$num = 0;
	}
	
	
	echo user::avatar($rab['user_id']) . user::nick($rab['user_id'], 1, 1, 1) . '<br />';
	
	// cтатистика гарема
	$static = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $rab['user_id'] . "'"));
	
	if ($user['id'] != $ank['id'] && $user['pol'] == $ank['pol'])
	echo '<a href="?sid=' . $_SESSION['sid'] . '&amp;id=' . $ID . '&amp;act=buy&amp;user=' . $rab['user_id'] . '">Выкупить</a> <b style="color:blue">' . $static['cost'] . '</b> баллов';
	else
	echo 'Цена: <b style="color:blue">' . $static['cost'] . '</b> баллов';
	
	if ($user['id'] == $ank['id'])
	echo ' | <a href="?sid=' . $_SESSION['sid'] . '&amp;id=' . $ID . '&amp;act=delete&amp;user=' . $rab['user_id'] . '">Выгнать из гарема</a>';
	
	echo '</div>';
}

echo '</table>';

if ($k_page>1)str("?id=" . $ank['id'] . "&amp;",$k_page,$page); // Вывод страниц


if (isset($stat['id']))
{
	echo '<div class="mess">';
	
?>
	<table><tr><td>
	<div class="bl1">
<?
	echo 'Статистика <b>' . $nick . '</b><br />';
	echo '- Цена ' . $nick . ': (' . $stat['cost'] . ' баллов)<br />';
	echo '- Украден' . ($ank['pol'] == 0 ? "а" : null) . ': ' . $stat['stolen'] . ' раз<br />';
?>
	</div>
	</td>
	
	<td>
	<div class="bl2">
<?
	echo 'Статистика <b>Гарема</b><br />';
	echo '- Наложни' . ($ank['pol'] == 1 ? "ц" : "ков") . ' в гареме: ' . $k_post . ' чел.<br />';
	echo '- Всего краж (' . $stat['stole'] . ')<br />';
?>
	</div>
	</td></tr></table>
<?
	
	// Хозяин юзера
	$you = mysql_fetch_assoc(mysql_query("SELECT * FROM `garem` WHERE `user_id` = '" . $ank['id'] . "'"));
	
	if (isset($you['id']))
	{
		// У кого в гареме
		$garem_us = get_user($you['thief_id']);
		echo '- <a href="/plugins/garem/garem.php?id=' . $you['thief_id'] . '">В гареме ' . user::nick($garem_us['id'], 0) . '</a><br />';
	}

	echo '</div>';	
}

require 'links.inc.php';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> ' . $nick . ' | <b>Гарем ' . $ank['nick'] . '</b><br />';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>
